package javax.sound.sampled.spi;

import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioFileFormat;

public abstract class AudioFileWriter
{
    public AudioFileWriter() {
    }
    
    public abstract AudioFileFormat.Type[] getAudioFileTypes();
    
    public boolean isFileTypeSupported(AudioFileFormat.Type type) {
        AudioFileFormat.Type[] audioFileTypes = this.getAudioFileTypes();
        int i = 0;
        while (i < audioFileTypes.length) {
            if (type.equals(audioFileTypes[i])) {
                return true;
            }
            ++i;
        }
        return false;
    }
    
    public abstract AudioFileFormat.Type[] getAudioFileTypes(AudioInputStream p0);
    
    public boolean isFileTypeSupported(AudioFileFormat.Type type, AudioInputStream audioInputStream) {
        AudioFileFormat.Type[] audioFileTypes = this.getAudioFileTypes(audioInputStream);
        int i = 0;
        while (i < audioFileTypes.length) {
            if (type.equals(audioFileTypes[i])) {
                return true;
            }
            ++i;
        }
        return false;
    }
    
    public abstract int write(AudioInputStream p0, AudioFileFormat.Type p1, OutputStream p2) throws IOException;
    
    public abstract int write(AudioInputStream p0, AudioFileFormat.Type p1, File p2) throws IOException;
}
